// priority: 0

console.info('Hello, World! (You will see this line every time client resources reload)')



// priority: 0

ItemEvents.tooltip(event => {

	event.add('exnihilosequentia:birch_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:acacia_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:dark_oak_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:jungle_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:crimson_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:spruce_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])
	event.add('exnihilosequentia:warped_sieve', [ [Text.of('Disabled. Use Oak Sieve Instead.').darkRed()],])

	event.add('evilcraft:blood_infuser', [ [Text.of('We need some blood to do magic.').darkRed()],])

	event.add('immersiveengineering:plate_aluminum', [ [Text.of('Actually it is aluminum, not aluminium.').darkGray()],])
  
	event.add('kubejs:devilish_horn', [ [Text.of('I love you, with my all heart.').darkGray()],])
	event.add('kubejs:devilish_horn', [ [Text.of('No matter what.').darkGray()],])

	event.add('kubejs:reinforced_obsidian', [ [Text.of('Actually Witherproof and Dragonproof').green()],])







  })
  






JEIEvents.hideItems(event => {

	event.hide('createaddition:copper_rod')
	event.hide('createaddition:gold_rod')

	event.hide('create:copper_sheet')
	event.hide('immersiveengineering:plate_copper')

	event.hide('gag:time_sand_pouch')
	event.hide('exnihilosequentia:mangrove_sieve')

	event.hide('exnihilosequentia:acacia_sieve')
	event.hide('exnihilosequentia:spruce_sieve')
	event.hide('exnihilosequentia:crimson_sieve')
	event.hide('exnihilosequentia:jungle_sieve')
	event.hide('exnihilosequentia:dark_oak_sieve')
	event.hide('exnihilosequentia:birch_sieve')
	event.hide('exnihilosequentia:warped_sieve')

	event.hide('extendedcrafting:handheld_table')
	event.hide('cyclic:crafting_stick')
	event.hide('cyclic:crafting_bag')
	
	event.hide('exnihilosequentia:crimson_crucible')
	event.hide('exnihilosequentia:warped_crucible')

	event.hide('botania:apothecary_default')
	event.hide('botania:apothecary_forest')
	event.hide('botania:apothecary_plains')
	event.hide('botania:apothecary_mountain')
	event.hide('botania:apothecary_fungal')
	event.hide('botania:apothecary_swamp')
	event.hide('botania:apothecary_desert')
	event.hide('botania:apothecary_taiga')
	event.hide('botania:apothecary_mesa')
	event.hide('botania:apothecary_mossy')
	event.hide('botania:apothecary_deepslate')

	event.hide('ae2:logic_processor')
	event.hide('ae2:calculation_processor')
	event.hide('ae2:engineering_processor')

	event.hide('farmersdelight:rich_soil')

	event.hide('occultism:obsidian_dust')
	event.hide('ftbic:obsidian_dust')
	event.hide('ftbic:tin_dust')

})

JEIEvents.information(event =>{
	event.addItem('deeperdarker:heart_of_the_deep', ['If you dont want to spend tons of mana to duplicate hearts, you can get the Warden spawn egg with mob grinding utils and put it in the spawner. It will work.'])
	console.log('JEI Information');
  })
